### Class

# GVnc BaseFramebuffer

#### Description

    class GVnc.BaseFramebuffer : GObject.Object
      implements GVnc.Framebuffer {
      priv: VncBaseFramebufferPrivate*
    }

No description available.

#### Ancestors

- GObject

#### Implements

- VncFramebuffer

#### Constructors

###### vnc_base_framebuffer_new

Allocate a new general purpose framebuffer object storing screen updates in `buffer`. `buffer` must be `height` * `rowstride` bytes in size. The returned object will store a pointer to `buffer`, so it should not be free’d for as long as the framebuffer object exists.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from VncFramebuffer (13)

###### vnc_framebuffer_blt

No description available.

###### vnc_framebuffer_copyrect

Copies data from the range (`srcx`, `srcy`) to (`srcx`+`width`, `srcy`+`height`) over to the range starting at (`dstx`, `dsty`).

###### vnc_framebuffer_fill

Fill all the pixels in the range (`x`, `y`) to (`x` + `width`, `y` + `height`) to the value in `src`. The number of bytes in `src` is determined by the remote pixel format.

###### vnc_framebuffer_get_buffer

Get a pointer to the framebuffer contents.

###### vnc_framebuffer_get_height

Query the height of the remote framebuffer.

###### vnc_framebuffer_get_local_format

Get the pixel format used to store the framebuffer locally.

###### vnc_framebuffer_get_remote_format

No description available.

###### vnc_framebuffer_get_rowstride

Get the number of bytes per line of the framebuffer.

###### vnc_framebuffer_get_width

Query the width of the remote framebuffer.

###### vnc_framebuffer_perfect_format_match

Determine if the local and remote pixel formats match.

###### vnc_framebuffer_rgb24_blt

Fill all the pixels in the range (`x`, `y`) to (`x` + `width`, `y` + `height`) to the value in `src`. The number of bytes in `src` is always 3 as it must be in plain RGB24 format.

###### vnc_framebuffer_set_color_map

Set the color map to use for the framebuffer.

###### vnc_framebuffer_set_pixel_at

Sets a pixel in the framebuffer at (`x`, `y`) to the value in `src`. The number of bytes in `src` is determined by the remote pixel format.

#### Properties

###### GVnc.BaseFramebuffer:buffer

No description available.

###### GVnc.BaseFramebuffer:color-map

No description available.

###### GVnc.BaseFramebuffer:height

No description available.

###### GVnc.BaseFramebuffer:local-format

No description available.

###### GVnc.BaseFramebuffer:remote-format

No description available.

###### GVnc.BaseFramebuffer:rowstride

No description available.

###### GVnc.BaseFramebuffer:width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GVncBaseFramebufferClass {
      GObjectClass parent_class;
      None _vnc_reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_vnc_reserved: None`

  No description available.